Create pledge
curl --request POST \
--url https://api.sandbox.busha.so/v1/pledges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_id": "PLQ_01HX...",
"meta": {}
}
'import requests
url = "https://api.sandbox.busha.so/v1/pledges"
payload = {
"quote_id": "PLQ_01HX...",
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quote_id: 'PLQ_01HX...', meta: {}})
};
fetch('https://api.sandbox.busha.so/v1/pledges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"data": {
"id": "PLG_01HX...",
"reference": "credit_agreement_93b7",
"mandate_hash": "sha256:...",
"items": [
{
"id": "PLI_01HX...",
"asset": "BTC",
"locked_amount": "100",
"released_amount": "100",
"liquidated_amount": "100",
"available_to_release": "100"
}
],
"customer_profile_id": "PRF_customer...",
"beneficiary_profile_id": "BUS_beneficiary...",
"activated_at": "2023-10-15T12:15:30Z",
"expires_at": "2023-10-15T12:15:30Z",
"released_at": "2023-10-15T12:15:30Z",
"liquidated_at": "2023-10-15T12:15:30Z",
"events": [
{
"id": "PLE_01HX...",
"type": "pledge.activated",
"actor_type": "beneficiary",
"created_at": "2023-10-15T12:15:30Z",
"reference": "activation_disb_9f1"
}
]
}
}Pledges
Create pledge
Create a pledge from a valid quote and lock the quoted items. Requires an OAuth pledge grant with beneficiary context.
POST
/
v1
/
pledges
Create pledge
Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Body
application/json
Pledge creation request
⌘I